Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.model.impl
Class VTControlValidationTemplateImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecp.view.template.model.impl.VTControlValidationTemplateImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, VTControlValidationTemplate

    public class VTControlValidationTemplateImpl

extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
implements VTControlValidationTemplate

An implementation of the model object 'Control Validation Template'.

The following features are implemented:

- `Ok Color HEX`
- `Ok Image URL`
- `Ok Overlay URL`
- `Info Color HEX`
- `Info Image URL`
- `Info Overlay URL`
- `Warning Color HEX`
- `Warning Image URL`
- `Warning Overlay URL`
- `Error Color HEX`
- `Error Image URL`
- `Error Overlay URL`
- `Cancel Color HEX`
- `Cancel Image URL`
- `Cancel Overlay URL`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, Object newValue)`
`void` | `eUnset(int featureID)`
`String` | `getCancelColorHEX()`
`String` | `getCancelImageURL()`
`String` | `getCancelOverlayURL()`
`String` | `getErrorColorHEX()`
`String` | `getErrorImageURL()`
`String` | `getErrorOverlayURL()`
`String` | `getInfoColorHEX()`
`String` | `getInfoImageURL()`
`String` | `getInfoOverlayURL()`
`String` | `getOkColorHEX()`
`String` | `getOkImageURL()`
`String` | `getOkOverlayURL()`
`String` | `getWarningColorHEX()`
`String` | `getWarningImageURL()`
`String` | `getWarningOverlayURL()`
`void` | `setCancelColorHEX(String newCancelColorHEX)`
`void` | `setCancelImageURL(String newCancelImageURL)`
`void` | `setCancelOverlayURL(String newCancelOverlayURL)`
`void` | `setErrorColorHEX(String newErrorColorHEX)`
`void` | `setErrorImageURL(String newErrorImageURL)`
`void` | `setErrorOverlayURL(String newErrorOverlayURL)`
`void` | `setInfoColorHEX(String newInfoColorHEX)`
`void` | `setInfoImageURL(String newInfoImageURL)`
`void` | `setInfoOverlayURL(String newInfoOverlayURL)`
`void` | `setOkColorHEX(String newOkColorHEX)`
`void` | `setOkImageURL(String newOkImageURL)`
`void` | `setOkOverlayURL(String newOkOverlayURL)`
`void` | `setWarningColorHEX(String newWarningColorHEX)`
`void` | `setWarningImageURL(String newWarningImageURL)`
`void` | `setWarningOverlayURL(String newWarningOverlayURL)`
`String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getOkColorHEX

    public String getOkColorHEX()

  Specified by:
    `getOkColorHEX` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Ok Color HEX' attribute.
  See Also:
    `VTControlValidationTemplate.setOkColorHEX(String)`, `VTTemplatePackage.getControlValidationTemplate_OkColorHEX()`

### setOkColorHEX

    public void setOkColorHEX(String newOkColorHEX)

  Specified by:
    `setOkColorHEX` in interface `VTControlValidationTemplate`
  Parameters:
    `newOkColorHEX` - the new value of the 'Ok Color HEX' attribute.
  See Also:
    `VTControlValidationTemplate.getOkColorHEX()`

### getOkImageURL

    public String getOkImageURL()

  Specified by:
    `getOkImageURL` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Ok Image URL' attribute.
  See Also:
    `VTControlValidationTemplate.setOkImageURL(String)`, `VTTemplatePackage.getControlValidationTemplate_OkImageURL()`

### setOkImageURL

    public void setOkImageURL(String newOkImageURL)

  Specified by:
    `setOkImageURL` in interface `VTControlValidationTemplate`
  Parameters:
    `newOkImageURL` - the new value of the 'Ok Image URL' attribute.
  See Also:
    `VTControlValidationTemplate.getOkImageURL()`

### getOkOverlayURL

    public String getOkOverlayURL()

  Specified by:
    `getOkOverlayURL` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Ok Overlay URL' attribute.
  See Also:
    `VTControlValidationTemplate.setOkOverlayURL(String)`, `VTTemplatePackage.getControlValidationTemplate_OkOverlayURL()`

### setOkOverlayURL

    public void setOkOverlayURL(String newOkOverlayURL)

  Specified by:
    `setOkOverlayURL` in interface `VTControlValidationTemplate`
  Parameters:
    `newOkOverlayURL` - the new value of the 'Ok Overlay URL' attribute.
  See Also:
    `VTControlValidationTemplate.getOkOverlayURL()`

### getInfoColorHEX

    public String getInfoColorHEX()

  Specified by:
    `getInfoColorHEX` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Info Color HEX' attribute.
  See Also:
    `VTControlValidationTemplate.setInfoColorHEX(String)`, `VTTemplatePackage.getControlValidationTemplate_InfoColorHEX()`

### setInfoColorHEX

    public void setInfoColorHEX(String newInfoColorHEX)

  Specified by:
    `setInfoColorHEX` in interface `VTControlValidationTemplate`
  Parameters:
    `newInfoColorHEX` - the new value of the 'Info Color HEX' attribute.
  See Also:
    `VTControlValidationTemplate.getInfoColorHEX()`

### getInfoImageURL

    public String getInfoImageURL()

  Specified by:
    `getInfoImageURL` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Info Image URL' attribute.
  See Also:
    `VTControlValidationTemplate.setInfoImageURL(String)`, `VTTemplatePackage.getControlValidationTemplate_InfoImageURL()`

### setInfoImageURL

    public void setInfoImageURL(String newInfoImageURL)

  Specified by:
    `setInfoImageURL` in interface `VTControlValidationTemplate`
  Parameters:
    `newInfoImageURL` - the new value of the 'Info Image URL' attribute.
  See Also:
    `VTControlValidationTemplate.getInfoImageURL()`

### getInfoOverlayURL

    public String getInfoOverlayURL()

  Specified by:
    `getInfoOverlayURL` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Info Overlay URL' attribute.
  See Also:
    `VTControlValidationTemplate.setInfoOverlayURL(String)`, `VTTemplatePackage.getControlValidationTemplate_InfoOverlayURL()`

### setInfoOverlayURL

    public void setInfoOverlayURL(String newInfoOverlayURL)

  Specified by:
    `setInfoOverlayURL` in interface `VTControlValidationTemplate`
  Parameters:
    `newInfoOverlayURL` - the new value of the 'Info Overlay URL' attribute.
  See Also:
    `VTControlValidationTemplate.getInfoOverlayURL()`

### getWarningColorHEX

    public String getWarningColorHEX()

  Specified by:
    `getWarningColorHEX` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Warning Color HEX' attribute.
  See Also:
    `VTControlValidationTemplate.setWarningColorHEX(String)`, `VTTemplatePackage.getControlValidationTemplate_WarningColorHEX()`

### setWarningColorHEX

    public void setWarningColorHEX(String newWarningColorHEX)

  Specified by:
    `setWarningColorHEX` in interface `VTControlValidationTemplate`
  Parameters:
    `newWarningColorHEX` - the new value of the 'Warning Color HEX' attribute.
  See Also:
    `VTControlValidationTemplate.getWarningColorHEX()`

### getWarningImageURL

    public String getWarningImageURL()

  Specified by:
    `getWarningImageURL` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Warning Image URL' attribute.
  See Also:
    `VTControlValidationTemplate.setWarningImageURL(String)`, `VTTemplatePackage.getControlValidationTemplate_WarningImageURL()`

### setWarningImageURL

    public void setWarningImageURL(String newWarningImageURL)

  Specified by:
    `setWarningImageURL` in interface `VTControlValidationTemplate`
  Parameters:
    `newWarningImageURL` - the new value of the 'Warning Image URL' attribute.
  See Also:
    `VTControlValidationTemplate.getWarningImageURL()`

### getWarningOverlayURL

    public String getWarningOverlayURL()

  Specified by:
    `getWarningOverlayURL` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Warning Overlay URL' attribute.
  See Also:
    `VTControlValidationTemplate.setWarningOverlayURL(String)`, `VTTemplatePackage.getControlValidationTemplate_WarningOverlayURL()`

### setWarningOverlayURL

    public void setWarningOverlayURL(String newWarningOverlayURL)

  Specified by:
    `setWarningOverlayURL` in interface `VTControlValidationTemplate`
  Parameters:
    `newWarningOverlayURL` - the new value of the 'Warning Overlay URL' attribute.
  See Also:
    `VTControlValidationTemplate.getWarningOverlayURL()`

### getErrorColorHEX

    public String getErrorColorHEX()

  Specified by:
    `getErrorColorHEX` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Error Color HEX' attribute.
  See Also:
    `VTControlValidationTemplate.setErrorColorHEX(String)`, `VTTemplatePackage.getControlValidationTemplate_ErrorColorHEX()`

### setErrorColorHEX

    public void setErrorColorHEX(String newErrorColorHEX)

  Specified by:
    `setErrorColorHEX` in interface `VTControlValidationTemplate`
  Parameters:
    `newErrorColorHEX` - the new value of the 'Error Color HEX' attribute.
  See Also:
    `VTControlValidationTemplate.getErrorColorHEX()`

### getErrorImageURL

    public String getErrorImageURL()

  Specified by:
    `getErrorImageURL` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Error Image URL' attribute.
  See Also:
    `VTControlValidationTemplate.setErrorImageURL(String)`, `VTTemplatePackage.getControlValidationTemplate_ErrorImageURL()`

### setErrorImageURL

    public void setErrorImageURL(String newErrorImageURL)

  Specified by:
    `setErrorImageURL` in interface `VTControlValidationTemplate`
  Parameters:
    `newErrorImageURL` - the new value of the 'Error Image URL' attribute.
  See Also:
    `VTControlValidationTemplate.getErrorImageURL()`

### getErrorOverlayURL

    public String getErrorOverlayURL()

  Specified by:
    `getErrorOverlayURL` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Error Overlay URL' attribute.
  See Also:
    `VTControlValidationTemplate.setErrorOverlayURL(String)`, `VTTemplatePackage.getControlValidationTemplate_ErrorOverlayURL()`

### setErrorOverlayURL

    public void setErrorOverlayURL(String newErrorOverlayURL)

  Specified by:
    `setErrorOverlayURL` in interface `VTControlValidationTemplate`
  Parameters:
    `newErrorOverlayURL` - the new value of the 'Error Overlay URL' attribute.
  See Also:
    `VTControlValidationTemplate.getErrorOverlayURL()`

### getCancelColorHEX

    public String getCancelColorHEX()

  Specified by:
    `getCancelColorHEX` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Cancel Color HEX' attribute.
  See Also:
    `VTControlValidationTemplate.setCancelColorHEX(String)`, `VTTemplatePackage.getControlValidationTemplate_CancelColorHEX()`

### setCancelColorHEX

    public void setCancelColorHEX(String newCancelColorHEX)

  Specified by:
    `setCancelColorHEX` in interface `VTControlValidationTemplate`
  Parameters:
    `newCancelColorHEX` - the new value of the 'Cancel Color HEX' attribute.
  See Also:
    `VTControlValidationTemplate.getCancelColorHEX()`

### getCancelImageURL

    public String getCancelImageURL()

  Specified by:
    `getCancelImageURL` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Cancel Image URL' attribute.
  See Also:
    `VTControlValidationTemplate.setCancelImageURL(String)`, `VTTemplatePackage.getControlValidationTemplate_CancelImageURL()`

### setCancelImageURL

    public void setCancelImageURL(String newCancelImageURL)

  Specified by:
    `setCancelImageURL` in interface `VTControlValidationTemplate`
  Parameters:
    `newCancelImageURL` - the new value of the 'Cancel Image URL' attribute.
  See Also:
    `VTControlValidationTemplate.getCancelImageURL()`

### getCancelOverlayURL

    public String getCancelOverlayURL()

  Specified by:
    `getCancelOverlayURL` in interface `VTControlValidationTemplate`
  Returns:
    the value of the 'Cancel Overlay URL' attribute.
  See Also:
    `VTControlValidationTemplate.setCancelOverlayURL(String)`, `VTTemplatePackage.getControlValidationTemplate_CancelOverlayURL()`

### setCancelOverlayURL

    public void setCancelOverlayURL(String newCancelOverlayURL)

  Specified by:
    `setCancelOverlayURL` in interface `VTControlValidationTemplate`
  Parameters:
    `newCancelOverlayURL` - the new value of the 'Cancel Overlay URL' attribute.
  See Also:
    `VTControlValidationTemplate.getCancelOverlayURL()`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.